﻿
//------------------basic regress-------------------------
use "C:\Users\nan\Desktop\创新增长\china\basic.dta",clear
xtset id year
gen t=year-1996
gen idt= id*t
gen Ltfp=L2.tfp
gen che1=c*he1
gen che2=c*he2
sum tfp c he1 he2 x1 x2 x3 x4 x5
xtreg tfp c i.t i.idt
xtreg tfp c x1 x2 x3 x4 x5  i.t i.idt
save "C:\Users\nan\Desktop\创新增长\china\basic.dta", replace

//------------------endogenous
use "C:\Users\nan\Desktop\创新增长\china\endogenous.dta",clear
xtset id year
xtreg Ltfp c x1 x2 x3 x4 x5 i.t i.idt
xtreg tfp cnew1 x1 x2 x3 x4 x5 i.t i.idt

//------------------robust1-------------------------
use "C:\Users\nan\Desktop\创新增长\china\basic.dta", replace
xtset id year
keep if year>=1996 & year<=2021
xtreg tfp c x1 x2 x3 x4 x5 i.t i.idt

//------------------robust2-------------------------
use "C:\Users\nan\Desktop\创新增长\china\basic.dta", replace
xtset id year
winsor2 tfp,replace cuts(1 99)
winsor2 c,replace cuts(1 99)
xtreg tfp c x1 x2 x3 x4 x5 i.t i.idt

//------------------robust3
use "C:\Users\nan\Desktop\创新增长\china\basic.dta", replace
xtset id year
gen cnew2=(c/(100-c))*100
xtreg tfp cnew2 x1 x2 x3 x4 x5 i.t i.idt

//------------------mechanism-------------------------
use "C:\Users\nan\Desktop\创新增长\china\basic.dta", replace
xtset id year
xtreg tfp c he1 x1 x2 x3 x4 x5 i.t i.idt
xtreg tfp che1 x1 x2 x3 x4 x5 i.t i.idt
xtreg tfp c he2 x1 x2 x3 x4 x5 i.t i.idt
xtreg tfp che2 x1 x2 x3 x4 x5 i.t i.idt

//------------------eastern part-------------------------
use C:\Users\nan\Desktop\创新增长\china\分地区\east, replace
xtset id year
xtreg tfp che1 x1 x2 x3 x4 x5 i.t i.idt
xtreg tfp che2 x1 x2 x3 x4 x5 i.t i.idt

//------------------middle part-------------------------
use C:\Users\nan\Desktop\创新增长\china\分地区\middle, replace
xtset id year
xtreg tfp che1 x1 x2 x3 x4 x5 i.t i.idt
xtreg tfp che2 x1 x2 x3 x4 x5 i.t i.idt

//------------------western part-------------------------
use C:\Users\nan\Desktop\创新增长\china\分地区\west, replace
xtset id year
xtreg tfp che1 x1 x2 x3 x4 x5 i.t i.idt
xtreg tfp che2 x1 x2 x3 x4 x5 i.t i.idt

//------------------threshold-------------------------
use "C:\Users\nan\Desktop\创新增长\china\basic.dta", replace
xtbalance , range(1996 2022) miss (x5)

xthreg tfp x1 x2 x3 x4 x5  ,rx(c) qx(he1) thnum(2) bs(300 300) trim(0.01 0.01) grid(100) r

xthreg tfp x1 x2 x3 x4 x5  ,rx(c) qx(he2) thnum(2) bs(300 300) trim(0.01 0.01) grid(100) r
