﻿
//------------------basic regress-------------------------
use "C:\Users\nan\Desktop\创新增长\multinational\basic.dta"
xtset id year
gen t=year-1961
gen idt= id*t
gen che1=c*he1
gen che2=c*he2
gen Lctfp=L2.ctfp
gen Lrtfpna=L2.rtfpna
sum ctfp rtfpna c he1 he2 x1 x2 x3
xtreg ctfp c i.t i.idt idt
xtreg ctfp c x1 x2 x3 i.t i.idt idt
xtreg rtfpna c i.t i.idt idt
xtreg rtfpna c x1 x2 x3 i.t i.idt idt
save "C:\Users\nan\Desktop\创新增长\multinational\basic.dta",replace


//------------------endogenous----------------------
use "C:\Users\nan\Desktop\创新增长\multinational\endogenous.dta"
xtset id year
xtreg Lctfp c x1 x2 x3 i.t i.idt idt
xtreg Lrtfpna c x1 x2 x3 i.t i.idt idt
xtreg ctfp cnew2 x1 x2 x3 i.t i.idt idt
xtreg rtfpna cnew2 x1 x2 x3 i.t i.idt idt

//------------------robust1-------------------------
use "C:\Users\nan\Desktop\创新增长\multinational\basic.dta"
xtset id year
keep if year>=1996 & year<=2021
xtreg ctfp c x1 x2 x3 i.t i.idt idt
xtreg rtfpna c x1 x2 x3 i.t i.idt idt

//------------------robust2-------------------------
use "C:\Users\nan\Desktop\创新增长\multinational\basic.dta",clear
xtset id year
winsor2 ctfp,replace cuts(1 99)
winsor2 rtfpna,replace cuts(1 99)
winsor2 c,replace cuts(1 99)
xtreg ctfp c x1 x2 x3 i.t i.idt idt
xtreg rtfpna c x1 x2 x3 i.t i.idt idt

//------------------robust3-------------------------
use "C:\Users\nan\Desktop\创新增长\multinational\basic.dta",clear
xtset id year
gen cnew2=(c/(100-c))*100
xtreg ctfp cnew2 x1 x2 x3 i.t i.idt idt
xtreg rtfpna cnew2 x1 x2 x3 i.t i.idt idt

//------------------mechanism-------------------------
use "C:\Users\nan\Desktop\创新增长\multinational\basic.dta",clear
xtset id year
xtreg ctfp c he1 x1 x2 x3 i.t i.idt idt
xtreg ctfp che1 x1 x2 x3 i.t i.idt idt
xtreg ctfp c he2 x1 x2 x3 i.t i.idt idt
xtreg ctfp che2 x1 x2 x3 i.t i.idt idt
xtreg rtfpna c he1 x1 x2 x3 i.t i.idt idt
xtreg rtfpna che1 x1 x2 x3 i.t i.idt idt
xtreg rtfpna c he2 x1 x2 x3 i.t i.idt idt
xtreg rtfpna che2 x1 x2 x3 i.t i.idt idt



